//
//  Login.app
// 
//  Copyright (c) 1997, 1998 Per Liden
// 
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//

#ifndef _SwitchUser_h_
#define _SwitchUser_h_

#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <pwd.h>
#include <grp.h>
#include <paths.h>
#include <iostream.h>
#include "Const.h"
#include "Config.h"


class SwitchUser
{
public:
    SwitchUser(struct passwd *pw);
    ~SwitchUser();
    void Login(char* cmd);

private:
    SwitchUser();
    void SetEnvironment();
    void SetUserId();
    void Execute(char* cmd);
    char* BaseName(const char* name);
    char* StrConcat(const char* str1, const char* str2);

    struct passwd *Pw;
};


#endif

